## NAME

r.null - The function of r.null is to explicitly create the NULL-value bitmap file.
(GRASS 5 Raster Program)

## SYNOPSIS

r.null
r.null -fincr map=name [setnull=val [-val][,val[-val],...]] [null=value]

## DESCRIPTION

The function of r.null is to explicitly create the NULL-value bitmap file. The intended usage is to fix "old" maps that don't have a NULL-value bitmap file (i.e. to indicate if zero is valid value or is to be converted to NULL). The module does not work with reclassified maps.

The design is flexible. Ranges of values can be set to NULL and/or the NULL value can be eliminated and replace with a specified value.

### Flags:

-f
  Only do the work if the map is floating-point.
-i
  Only do the work if the map is integer.
-n
  Only do the work if the map doesn't have a NULL-value bitmap file.
-c
  Create NULL-value bitmap file which validates all data cells.
-r
  Remove NULL-value bitmap file.

### Parameters:

map
  raster map for which to edit null file
setnull=range[,range...]
  The values specified in the ranges are to be set to NULL. A range is either a single value (e.g., 5.3), or a pair of values (e.g., 4.76-34.56). Existing NULL-values are left NULL, unless the null argument is requested.
null=value
  Eliminate the NULL value and replace it with value. This argument is applied only to existing NULL values, and not to the NULLs created by the setnull argument.

## NOTES

Note that value is restricted to integer if the map is an integer map.

r.null and reclassified maps:
The problem is, if r.null was run on the reclass raster it would alter the original and any other reclass rasters of the original. Therefore r.null doesn't allow to recode reclassified maps (products of r.reclass). So, the way to recode such a map is: The user makes a raster out of the reclass that isn't a reclass by copying it:
`r.mapcalc newmap = reclass`
Then he/she recodes this copy.

## SEE ALSO

r.support and r.quant

## AUTHOR

U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:34 $